Data - Retrieve Object Data
根据指定的条件检索对象。
POST http://<Servername>/OperationsManager/data/scomObjects
请求正文
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| 名称 | 类型 | 说明 |
|---|---|---|
| criteria |
string |
指定要搜索的条件。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行。根据指定的条件成功检索对象。 Media Types: "application/json", "text/json", "application/xml", "text/xml" |
示例
RetrieveSCOMObjects
示例请求
POST http://<Servername>/OperationsManager/data/scomObjects
[
"DisplayName LIKE '%unix%'"
]
示例响应
{
"scopeDatas": [
{
"id": "dfc9175d-c0bc-4166-7e0a-0f40c4d4fc6e",
"displayName": "UNIX/Linux Computer Group",
"className": "UNIX/Linux Computer Group",
"path": null,
"fullName": "Microsoft.Unix.ComputerGroup"
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| 名称 | 类型 | 说明 |
|---|---|---|
| className |
string |
类名 |
| displayName |
string |
显示名称 |
| fullName |
string |
完整姓名 |
| id |
string |
身份证件 |
| path |
string |
路径 |
ScopeDataResponse
| 名称 | 类型 | 说明 |
|---|---|---|
| scopeDatas |
范围数据 |